Name:           perl-ExtUtils-Builder
Version:        0.017
Release:        2%{?dist}
Summary:        Abstract actions and plans for the ExtUtils-Builder framework

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/ExtUtils-Builder
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/ExtUtils-Builder-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-blib
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.10.0
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(ExtUtils::Config)
BuildRequires:  perl(ExtUtils::Config::MakeMaker)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.68
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(parent)
BuildRequires:  perl(Perl::OSType)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Util) >= 1.40
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::More) >= 0.89
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
Requires:       perl(Exporter) >= 5.57
Requires:       perl(ExtUtils::MakeMaker) >= 6.68
Requires:       perl(List::Util) >= 1.45
Requires:       perl(Sub::Util) >= 1.40

%{?perl_default_filter}

%description
Writing extensions for various build tools can be a daunting
task. This module tries to abstract steps of build processes into
reusable building blocks for creating platform and build system
agnostic executable descriptions of work.

%prep
%setup -q -n ExtUtils-Builder-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun May 04 2025 Charles R. Anderson <cra@alum.wpi.edu> 0.017-2
- Add perl_default_filter
- BR: perl-blib
- Update Summary and Description

* Sat May 03 2025 Charles R. Anderson <cra@alum.wpi.edu> 0.017-1
- Specfile autogenerated by cpanspec 1.78.
